Package it.ernytech.tdlib

## Class TdApi.ChatEventPhotoChanged

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatEventAction
    - - it.ernytech.tdlib.TdApi.ChatEventPhotoChanged

Enclosing class:
  TdApi

    public static class TdApi.ChatEventPhotoChanged
    extends TdApi.ChatEventAction

The chat photo was changed.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.ChatPhoto` `newPhoto` New chat photo value; may be null.
`TdApi.ChatPhoto` `oldPhoto` Previous chat photo value; may be null.

### Constructor Summary

Constructors
`ChatEventPhotoChanged()` Default constructor.
`ChatEventPhotoChanged​(TdApi.ChatPhoto oldPhoto, TdApi.ChatPhoto newPhoto)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### oldPhoto

    public TdApi.ChatPhoto oldPhoto

Previous chat photo value; may be null.

#### newPhoto

    public TdApi.ChatPhoto newPhoto

New chat photo value; may be null.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChatEventPhotoChanged

    public ChatEventPhotoChanged()

Default constructor.

#### ChatEventPhotoChanged

    public ChatEventPhotoChanged​(TdApi.ChatPhoto oldPhoto,
                                 TdApi.ChatPhoto newPhoto)

Constructor for initialization of all fields.

Parameters:
  `oldPhoto` - Previous chat photo value; may be null.
  `newPhoto` - New chat photo value; may be null.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR